org.apache.fop.traits

## Class Direction

- java.lang.Object
- - org.apache.fop.traits.TraitEnum
  - - org.apache.fop.traits.Direction

All Implemented Interfaces:
  Serializable

    public final class Direction
    extends TraitEnum

Enumeration class for direction traits, namely {inline,block}-progression-direction and shift-direction.

See Also:
  Serialized Form

### Field Summary

Fields
`static Direction` `BT` direction: bottom-to-top
`static Direction` `LR` direction: left-to-right
`static Direction` `RL` direction: right-to-left
`static Direction` `TB` direction: top-to-bottom

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `isHorizontal()` Determine if direction is horizontal or not.
`boolean` `isVertical()` Determine if direction is vertical or not.
`String` `toString()`
`static Direction` `valueOf(int enumValue)` Returns the enumeration/singleton object based on its name.
`static Direction` `valueOf(String name)` Returns the enumeration/singleton object based on its name.

### Methods inherited from class org.apache.fop.traits.TraitEnum

`getEnumValue, getName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### LR

    public static final Direction LR

direction: left-to-right

#### RL

    public static final Direction RL

direction: right-to-left

#### TB

    public static final Direction TB

direction: top-to-bottom

#### BT

    public static final Direction BT

direction: bottom-to-top

### Method Detail

#### isVertical

    public boolean isVertical()

Determine if direction is vertical or not.

Returns:
  true if vertical

#### isHorizontal

    public boolean isHorizontal()

Determine if direction is horizontal or not.

Returns:
  true if horizontal

#### valueOf

    public static Direction valueOf(String name)

Returns the enumeration/singleton object based on its name.

Parameters:
  `name` - the name of the enumeration value
Returns:
  the enumeration object

#### valueOf

    public static Direction valueOf(int enumValue)

Returns the enumeration/singleton object based on its name.

Parameters:
  `enumValue` - the enumeration value
Returns:
  the enumeration object

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`